Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util.uri
Class TurbineURITest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.util.uri.TurbineURITest

All Implemented Interfaces:
  junit.framework.Test

    public class TurbineURITest

extends BaseTestCase

Testing of the TurbineURI class

Version:
  $Id: TurbineURITest.java 717931 2008-11-15 21:40:43Z tv $
Author:
  Quinton McCombs, Scott Eade

Constructor Summary
`TurbineURITest(String testName)` Constructor for test.

Method Summary
`protected void` | `setUp()` Performs any initialization that must happen before each test is run.
`protected void` | `tearDown()` Clean up after each test is run.
`void` | `testAddEmptyParameterParser()`
`void` | `testAddParameterParser()`
`void` | `testAddRemove()`
`void` | `testEmptyAndNullPathInfo()`
`void` | `testEmptyAndNullQueryData()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TurbineURITest

    public TurbineURITest(String testName)
                   throws Exception

  Constructor for test.

  Parameters:
    `testName` - name of the test being executed
  Throws:
    `Exception`

Method Detail

### setUp

    protected void setUp()

  Performs any initialization that must happen before each test is run.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  Clean up after each test is run.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testAddRemove

    public void testAddRemove()

### testEmptyAndNullQueryData

    public void testEmptyAndNullQueryData()

### testEmptyAndNullPathInfo

    public void testEmptyAndNullPathInfo()

### testAddEmptyParameterParser

    public void testAddEmptyParameterParser()

### testAddParameterParser

    public void testAddParameterParser()
                                throws InstantiationException

  Throws:
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.